Subject: RE: Directory problems after fresh install of v1.3.22-1
From: David Balazic <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 5 Aug 2003 16:54:37 +0200

> ----------
> From: 	Igor Pechtchanski[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	5. avgust 2003 16:46
> To: 	David Balazic
> Cc: 	[email-masked]
> Subject: 	RE: Directory problems after fresh install of v1.3.22-1
> 
> On Tue, 5 Aug 2003, David Balazic wrote:
> 
> > > ----------
> > > From:         Igor Pechtchanski
> > > Reply To:     [email-masked]
> > > Sent:         5. avgust 2003 16:33
> > > To:   David Balazic
> > > Cc:   [email-masked]
>           ^^^^^^^^^^^^^^^^^
> Weird.  This seems to have never gotten there.
> 
> > > Subject:      RE: Directory problems after fresh install of v1.3.22-1
> > >
> > > On Tue, 5 Aug 2003, David Balazic wrote:
> > >
> > > > > From:         Igor Pechtchanski
> > > > > Reply To:     [email-masked]
> > > > > Sent:         5. avgust 2003 16:06
> > > > > To:   David Balazic
> > > > > Cc:   [email-masked]
> > > > > Subject:      RE: Directory problems after fresh install of
> v1.3.22-1
> > > > >
> > > > > On Tue, 5 Aug 2003, David Balazic wrote:
> > > > >
> > > > > > > From:         Igor Pechtchanski
> > > > > > > Reply To:     [email-masked]
> > > > > > > Sent:         5. avgust 2003 14:46
> > > > > > > To:   David Balazic
> > > > > > > Cc:   [email-masked]
> > > > > > > Subject:      RE: Directory problems after fresh install of
> v1.3.22-1
> > > > > > >
> > > > > > > On Tue, 5 Aug 2003, Igor Pechtchanski wrote:
> > > > > > >
> > > > > > > > On Tue, 5 Aug 2003, David Balazic wrote:
> > > > > > > >
> > > > > > > > [snip]
> > > > > > > >
> > > > > > > > > >   Are you logging
> > > > > > > > > > in as a domain user by any chance?
> > > > > > > > > Yes.
> > > > > > > > > >   Are your /etc/passwd and /etc/group up
> > > > > > > > > > to date?
> > > > > > > > > I don't know. What does it mean "up to date" what must be
> their content ?
> > > > > > > > They should have an entry for the user you log in as.  Since
> you installed
> > > > > > > > as a different user (admin), mkpasswd will not have put in
> the entry for
> > > > > > > > the domain user.  Try running "x:\cygwin\bin\mkpasswd -u
> <youruser> -d >> passwd" from "x:\cygwin\etc".
> > > > > > >
> > > > > > > You may also need to do "x:\cygwin\bin\mkgroup -d >> group"
> from
> > > > > > > "x:\cygwin\etc" -- be prepared, it may take a while in large
> domains.
> > > > > >
> > > > > > I did this now.
> > > > >
> > > > > So, please post the passwd and group lines that correspond to the
> numeric
> > > > > UID and GID you installed under (see below).
> > > > >
> > > > > > > > > >   Please run "c:\cygwin\bin\ls.exe -l /bin/ls" from a
> cmd.exe
> > > > > > > > > > prompt and post the output.
> > > > > > > > >
> > > > > > > > > It is on drive X:
> > > > > > > > > C:\>x:\cygwin\bin\ls.exe -l /bin/ls
> > > > > > > > > /usr/bin/ls: /bin/ls: No such file or directory
> > > > > > > >
> > > > > > > > Okay, try ".\ls.exe .\ls.exe" from "x:\cygwin\bin"?
> > > > > > >              ^^^^^^^^^^^^^^^^^
> > > > > > > Oops, make that ".\ls.exe -l .\ls.exe"...  Sorry.
> > > > > > >
> > > > > > X:\cygwin\bin>.\ls.exe -l .\ls.exe
> > > > > > -rwxrwxrwx    1 ???????? ????????    68608 Jun 15  2001 .\ls.exe
> > > > >
> > > > > Ah.  Ok, now ".\ls.exe -ln .\ls.exe".  This will give you the
> numeric UID
> > > > > and GID to grep out of the passwd and group files.
> > > > X:\cygwin\bin>.\ls.exe -ln .\ls.exe
> > > > -rwxrwxrwx    1 65535    65535       68608 Jun 15  2001 .\ls.exe
> > > >
> > > > 65535 is not in passwd or group file.
> > >
> > > Well, yes, as indicated in
> > > <http://cygwin.com/cygwin-ug-net/ntsec.html#NTSEC-RELEASE1.3.20>,
> 65535 is
> > > a special UID used for those users not in the passwd file, so this
> kinda
> > > figures...
> > >
> > > Ok, my guess is that the owner is "Everyone", both for the user and
> for
> > The owner of the file is "Administrators (JUICE\Administrators)"
> > "juice" is the host name.
> 
> Is it in /etc/passwd?  BTW, is juice the local host, or a remote one?
Yes,
Administrators:*:544:544:,S-1-5-32-544::
Which I find weird, as this is a group , not an user ID.
The host is local.

> > > the group.  You can confirm or deny this by checking the ownership in
> the
> > > properties tab for the root directory in Windows Explorer.  If this
> turns
> > > out to be the case, add "Everyone" to your /etc/passwd and /etc/group
> > > files by using the following commands at the cmd.exe prompt:
> > >
> > > cd x:\cygwin\etc
> > > echo "Everyone:*:65534:0:,S-1-1-0::" >> passwd
> > > echo "Everyone:S-1-1-0:0:" >> group
> > >
> > > and then post the output of ".\ls.exe -ln .\ls.exe" again.  If this is
> not
> > > the case, please post the contents of your /etc/passwd and /etc/group,
> and
> > > the output of "x:\cygwin\bin\id.exe"...  For some reason, the cygcheck
> > > output you posted earlier indicated that you logged in as
> "Administrator",
> > > but you said that you logged in as a domain user...  This is weird.
> > No, I was running cygcheck as administrator ( local ). Sorry for not
> > mentioning.
> > Here is cygcheck running as me :
> >
> > Cygwin Win95/NT Configuration Diagnostics
> > Current System Time: Tue Aug 05 16:37:09 2003
> >
> > Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 3
> >
> > Path:   X:\Perl\bin\
> >         C:\Inprise\vbroker\bin
> >         C:\WINNT\system32
> >         C:\WINNT
> >         C:\WINNT\System32\Wbem
> >         C:\Program Files\Support Tools\
> >         C:\smallApps\wget
> >         X:\Program Files\Hummingbird\Connectivity\7.10\Accessories\
> >         X:\Program Files\Hummingbird\Connectivity\7.10\NFSClient
> >         x:\Program Files\Rational\ClearCase\bin
> >         C:\Program Files\UltraEdit
> >         C:\data\stein\progs\apache-ant-1.5.2\bin
> >
> > x:\cygwin\bin\id.exe output (nontsec)
> > UID: 400(stein)  GID: 401(mkpasswd)
> > 401(mkpasswd)
> >
> > x:\cygwin\bin\id.exe output (ntsec)
> > UID: 400(stein)  GID: 401(mkpasswd)
> > 401(mkpasswd)
> 
> FYI, the above indicates that your user (stein) is *not* in /etc/passwd.
Yes it is :
stein:unused_by_nt/2000/xp:11135:11115:David
Balazic,U-MARIBOR\stein,S-1-5-21-2038378725-1149316036-142223018-1135:/home/
stein:/bin/bash

> Try running "/bin/mkpasswd -l -c >> /etc/passwd" as yourself once you fix
> the main problem (see below).
But that will create duplicate entries in /etc/passwd,
should I delete the old entries ?
The old /etc/passwd :

SYSTEM:*:18:544:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
Administrator:unused_by_nt/2000/xp:500:513:Admin I.
Strator,U-JUICE\Administrator,S-1-5-21-1454471165-1957994488-1060284298-500:
/home/Administrator:/bin/bash
Guest:unused_by_nt/2000/xp:501:513:U-JUICE\Guest,S-1-5-21-1454471165-1957994
488-1060284298-501:/home/Guest:/bin/bash
lowpri:unused_by_nt/2000/xp:1011:513:Low Privilege
User,U-JUICE\lowpri,S-1-5-21-1454471165-1957994488-1060284298-1011:/home/low
pri:/bin/bash
lowpri2:unused_by_nt/2000/xp:1012:513:lowpri2,U-JUICE\lowpri2,S-1-5-21-14544
71165-1957994488-1060284298-1012:/home/lowpri2:/bin/bash
root:unused_by_nt/2000/xp:1010:513:Short
Administrator,U-JUICE\root,S-1-5-21-1454471165-1957994488-1060284298-1010:/h
ome/root:/bin/bash
SQLDebugger:unused_by_nt/2000/xp:1005:513:SQLDebugger,U-JUICE\SQLDebugger,S-
1-5-21-1454471165-1957994488-1060284298-1005:/home/SQLDebugger:/bin/bash
VUSR_JUICE:unused_by_nt/2000/xp:1000:513:VSA Server
Account,U-JUICE\VUSR_JUICE,S-1-5-21-1454471165-1957994488-1060284298-1000:/h
ome/VUSR_JUICE:/bin/bash
VUSR_JUICE1:unused_by_nt/2000/xp:1003:513:VUSR_JUICE1,U-JUICE\VUSR_JUICE1,S-
1-5-21-1454471165-1957994488-1060284298-1003:/home/VUSR_JUICE1:/bin/bash
VUSR_JUICE2:unused_by_nt/2000/xp:1006:513:VSA Server
Account,U-JUICE\VUSR_JUICE2,S-1-5-21-1454471165-1957994488-1060284298-1006:/
home/VUSR_JUICE2:/bin/bash
stein:unused_by_nt/2000/xp:11135:11115:David
Balazic,U-MARIBOR\stein,S-1-5-21-2038378725-1149316036-142223018-1135:/home/
stein:/bin/bash

Output of "mkpasswd -l -c" :

SYSTEM:*:18:544:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
Administrator:unused_by_nt/2000/xp:500:513:Admin I.
Strator,U-JUICE\Administrator,S-1-5-21-1454471165-1957994488-1060284298-500:
/home/Administrator:/bin/bash
Guest:unused_by_nt/2000/xp:501:513:U-JUICE\Guest,S-1-5-21-1454471165-1957994
488-1060284298-501:/home/Guest:/bin/bash
lowpri:unused_by_nt/2000/xp:1011:513:Low Privilege
User,U-JUICE\lowpri,S-1-5-21-1454471165-1957994488-1060284298-1011:/home/low
pri:/bin/bash
lowpri2:unused_by_nt/2000/xp:1012:513:lowpri2,U-JUICE\lowpri2,S-1-5-21-14544
71165-1957994488-1060284298-1012:/home/lowpri2:/bin/bash
root:unused_by_nt/2000/xp:1010:513:Short
Administrator,U-JUICE\root,S-1-5-21-1454471165-1957994488-1060284298-1010:/h
ome/root:/bin/bash
SQLDebugger:unused_by_nt/2000/xp:1005:513:SQLDebugger,U-JUICE\SQLDebugger,S-
1-5-21-1454471165-1957994488-1060284298-1005:/home/SQLDebugger:/bin/bash
VUSR_JUICE:unused_by_nt/2000/xp:1000:513:VSA Server
Account,U-JUICE\VUSR_JUICE,S-1-5-21-1454471165-1957994488-1060284298-1000:/h
ome/VUSR_JUICE:/bin/bash
VUSR_JUICE1:unused_by_nt/2000/xp:1003:513:VUSR_JUICE1,U-JUICE\VUSR_JUICE1,S-
1-5-21-1454471165-1957994488-1060284298-1003:/home/VUSR_JUICE1:/bin/bash
VUSR_JUICE2:unused_by_nt/2000/xp:1006:513:VSA Server
Account,U-JUICE\VUSR_JUICE2,S-1-5-21-1454471165-1957994488-1060284298-1006:/
home/VUSR_JUICE2:/bin/bash
stein:unused_by_nt/2000/xp:11135:11115:stein,U-MARIBOR\stein,S-1-5-21-203837
8725-1149316036-142223018-1135:/:/bin/bash

> > [snip]
> >
> > C:             /          user    textmode
>   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> 
> BINGO!  There's your problem.  As yourself, cd to "x:\cygwin\bin" and run
> "umount -u /".  Then you should be able to at least run commands.
> 
What caused this ? I just did a plain, normal install. ( I also selected a
few more app, like less , zip
and unzip ... )

> > .              /cygdrive  user    textmode,cygdrive
> > x:\cygwin      /          system  binmode
> > x:\cygwin/bin  /usr/bin   system  binmode
> > x:\cygwin/lib  /usr/lib   system  binmode
> > .              /cygdrive  system  binmode,cygdrive
> >
> > [snip]
> > Cygwin Package Information
> > Last downloaded files to:
> > Last downloaded files from:
> > [snip]
> 
> Oh, and for the future, it's usually a good idea to attach the output of
> cygcheck instead of including it inline, since the latter introduces false
> positives into the archive searches...
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/